import { fuHuaQiTaskList } from "./biz/fuHuqQi/task";
import { initSystemTask } from "./biz/systemTask";
import { initConfig, systemConfig} from "./config/serverConfig";
import { initDB } from "./db/mongo/dbInit";
import { httpServer } from "./net/http_server";
import { initBasicData } from "./util/dataInit";

async function lanuch() {
    await initConfig();//初始化配置解析
    await initDB();
    await initBasicData();
    await initSystemTask();
    httpServer.createServer(systemConfig.port);
    console.log('This indicates that the server is started successfully.');
}

lanuch();